#!/usr/bin/env bash
# This bootstraps a new CentOS server with the Perforce SDP.
# This script sets up:
# - SDP filesystems
# - perforce account
# - Loads SDP with the Sample Depot

DataDir=/shared/cbd/test/data
SDPFile=sdp.Unix.2014.2.10464.tgz
SDPURL=http://swarm.workshop.perforce.com/files/guest/perforce_software/sdp/dist/$SDPFile

echo "Making sdp directories"
sudo mkdir /depotdata
sudo mkdir /metadata
sudo mkdir /logs

echo "Creating perforce user"
sudo groupadd perforce
sudo useradd -d /p4 -s /bin/bash -m perforce -g perforce

echo "Allowing user 'perforce' sudo privileges"
echo 'perforce ALL=(ALL) NOPASSWD:ALL'>/tmp/perforce
sudo chmod 0700 /tmp/perforce
sudo chown root:root /tmp/perforce
sudo mv /tmp/perforce /etc/sudoers.d/.
echo perforce:cbd4me2day | sudo chpasswd

# Setup a few things to make life easier as the Perforce user
BASH_PROF=/tmp/.bash_profile
echo '[[ -r /p4/common/bin/p4_vars ]] && source /p4/common/bin/p4_vars 1'> $BASH_PROF
echo 'export P4CONFIG=.p4config'>> $BASH_PROF
sudo chown perforce:perforce $BASH_PROF
sudo mv $BASH_PROF /p4/.

RESET_SDP=/tmp/reset_sdp.sh
echo '#!/bin/bash'> $RESET_SDP
echo 'sudo cp -p /sdp/dist/$SDPFile /depotdata/.'>> $RESET_SDP
echo 'cd /depotdata'>> $RESET_SDP
echo 'sudo tar -xzvpf $SDPFile'>> $RESET_SDP
echo 'sudo chown -R perforce:perforce /depotdata'>> $RESET_SDP
sudo chmod +x $RESET_SDP
sudo chown perforce:perforce $RESET_SDP
sudo mv $RESET_SDP /p4
sudo /p4/reset_sdp.sh

echo "Setup done."

#sudo ln -s /sdp/Server/test/test_SDP.py /p4/test_SDP.py
#sudo chown perforce:perforce /p4/test_SDP.py
